from typing import Literal

T_Period = Literal['overall', '7day', '1month', '3month', '6month', '12month']
"""
The period used in user methods

- 'overall': Represents the overall period.
- '7day': Represents the past 7 days.
- '1month': Represents the past 1 month.
- '3month': Represents the past 3 months.
- '6month': Represents the past 6 months.
- '12month': Represents the past 12 months.
"""

T_ISO3166CountryNames = Literal[
    'Afghanistan',
    'Albania',
    'Algeria',
    'American Samoa',
    'Andorra',
    'Angola',
    'Anguilla',
    'Antarctica',
    'Antigua and Barbuda',
    'Argentina',
    'Armenia',
    'Aruba',
    'Australia',
    'Austria',
    'Azerbaijan',
    'Bahamas',
    'Bahrain',
    'Bangladesh',
    'Barbados',
    'Belarus',
    'Belgium',
    'Belize',
    'Benin',
    'Bermuda',
    'Bhutan',
    'Bolivia',
    'Bonaire, Sint Eustatius, and Saba',
    'Bosnia and Herzegovina',
    'Botswana',
    'Bouvet Island',
    'Brazil',
    'British Indian Ocean Territory',
    'Brunei Darussalam',
    'Bulgaria',
    'Burkina Faso',
    'Burundi',
    'Cabo Verde',
    'Cambodia',
    'Cameroon',
    'Canada',
    'Cayman Islands',
    'Central African Republic',
    'Chad',
    'Chile',
    'China',
    'Christmas Island',
    'Cocos (Keeling) Islands',
    'Colombia',
    'Comoros',
    'Congo',
    'Congo, Democratic Republic of the',
    'Cook Islands',
    'Costa Rica',
    "Côte d'Ivoire",
    'Croatia',
    'Cuba',
    'Curaçao',
    'Cyprus',
    'Czechia',
    'Denmark',
    'Djibouti',
    'Dominica',
    'Dominican Republic',
    'Ecuador',
    'Egypt',
    'El Salvador',
    'Equatorial Guinea',
    'Eritrea',
    'Estonia',
    'Eswatini',
    'Ethiopia',
    'Falkland Islands (Malvinas)',
    'Faroe Islands',
    'Fiji',
    'Finland',
    'France',
    'French Guiana',
    'French Polynesia',
    'French Southern Territories',
    'Gabon',
    'Gambia',
    'Georgia',
    'Germany',
    'Ghana',
    'Gibraltar',
    'Greece',
    'Greenland',
    'Grenada',
    'Guadeloupe',
    'Guam',
    'Guatemala',
    'Guernsey',
    'Guinea',
    'Guinea-Bissau',
    'Guyana',
    'Haiti',
    'Heard Island and McDonald Islands',
    'Holy See',
    'Honduras',
    'Hong Kong',
    'Hungary',
    'Iceland',
    'India',
    'Indonesia',
    'Iran, Islamic Republic of',
    'Iraq',
    'Ireland',
    'Isle of Man',
    'Israel',
    'Italy',
    'Jamaica',
    'Japan',
    'Jersey',
    'Jordan',
    'Kazakhstan',
    'Kenya',
    'Kiribati',
    "Korea, Democratic People's Republic of",
    'Korea, Republic of',
    'Kuwait',
    'Kyrgyzstan',
    "Lao People's Democratic Republic",
    'Latvia',
    'Lebanon',
    'Lesotho',
    'Liberia',
    'Libya',
    'Liechtenstein',
    'Lithuania',
    'Luxembourg',
    'Macao',
    'Madagascar',
    'Malawi',
    'Malaysia',
    'Maldives',
    'Mali',
    'Malta',
    'Marshall Islands',
    'Martinique',
    'Mauritania',
    'Mauritius',
    'Mayotte',
    'Mexico',
    'Micronesia (Federated States of)',
    'Moldova (Republic of)',
    'Monaco',
    'Mongolia',
    'Montenegro',
    'Montserrat',
    'Morocco',
    'Mozambique',
    'Myanmar',
    'Namibia',
    'Nauru',
    'Nepal',
    'Netherlands',
    'New Caledonia',
    'New Zealand',
    'Nicaragua',
    'Niger',
    'Nigeria',
    'Niue',
    'Norfolk Island',
    'North Macedonia',
    'Northern Mariana Islands',
    'Norway',
    'Oman',
    'Pakistan',
    'Palau',
    'Palestine, State of',
    'Panama',
    'Papua New Guinea',
    'Paraguay',
    'Peru',
    'Philippines',
    'Pitcairn',
    'Poland',
    'Portugal',
    'Puerto Rico',
    'Qatar',
    'Réunion',
    'Romania',
    'Russian Federation',
    'Rwanda',
    'Saint Barthélemy',
    'Saint Helena, Ascension and Tristan da Cunha',
    'Saint Kitts and Nevis',
    'Saint Lucia',
    'Saint Martin (French part)',
    'Saint Pierre and Miquelon',
    'Saint Vincent and the Grenadines',
    'Samoa',
    'San Marino',
    'Sao Tome and Principe',
    'Saudi Arabia',
    'Senegal',
    'Serbia',
    'Seychelles',
    'Sierra Leone',
    'Singapore',
    'Sint Maarten (Dutch part)',
    'Slovakia',
    'Slovenia',
    'Solomon Islands',
    'Somalia',
    'South Africa',
    'South Georgia and the South Sandwich Islands',
    'South Sudan',
    'Spain',
    'Sri Lanka',
    'Sudan',
    'Suriname',
    'Svalbard and Jan Mayen',
    'Sweden',
    'Switzerland',
    'Syrian Arab Republic',
    'Taiwan, Province of China',
    'Tajikistan',
    'Tanzania, United Republic of',
    'Thailand',
    'Timor-Leste',
    'Togo',
    'Tokelau',
    'Tonga',
    'Trinidad and Tobago',
    'Tunisia',
    'Turkey',
    'Turkmenistan',
    'Turks and Caicos Islands',
    'Tuvalu',
    'Uganda',
    'Ukraine',
    'United Arab Emirates',
    'United Kingdom of Great Britain and Northern Ireland',
    'United States of America',
    'United States Minor Outlying Islands',
    'Uruguay',
    'Uzbekistan',
    'Vanuatu',
    'Venezuela (Bolivarian Republic of)',
    'Viet Nam',
    'Virgin Islands (British)',
    'Virgin Islands (U.S.)',
    'Wallis and Futuna',
    'Western Sahara',
    'Yemen',
    'Zambia',
    'Zimbabwe',
]
"""
The ISO 31566 country name, used in methods to fetch data from countries.
"""


T_ISO639Alpha2Code = Literal[
    'aa',
    'ab',
    'af',
    'ak',
    'sq',
    'am',
    'ar',
    'an',
    'hy',
    'as',
    'av',
    'ae',
    'ay',
    'az',
    'ba',
    'bm',
    'eu',
    'be',
    'bn',
    'bh',
    'bi',
    'bo',
    'bs',
    'br',
    'bg',
    'my',
    'ca',
    'cs',
    'ch',
    'ce',
    'zh',
    'cu',
    'cv',
    'kw',
    'co',
    'cr',
    'cy',
    'cs',
    'da',
    'de',
    'dv',
    'nl',
    'dz',
    'el',
    'en',
    'eo',
    'et',
    'eu',
    'ee',
    'fo',
    'fa',
    'fj',
    'fi',
    'fr',
    'fr',
    'fy',
    'ff',
    'ka',
    'de',
    'gd',
    'ga',
    'gl',
    'gv',
    'el',
    'gn',
    'gu',
    'ht',
    'ha',
    'he',
    'hz',
    'hi',
    'ho',
    'hr',
    'hu',
    'hy',
    'ig',
    'is',
    'io',
    'ii',
    'iu',
    'ie',
    'ia',
    'id',
    'ik',
    'is',
    'it',
    'jv',
    'ja',
    'kl',
    'kn',
    'ks',
    'ka',
    'kr',
    'kk',
    'km',
    'ki',
    'rw',
    'ky',
    'kv',
    'kg',
    'ko',
    'kj',
    'ku',
    'lo',
    'la',
    'lv',
    'li',
    'ln',
    'lt',
    'lb',
    'lu',
    'lg',
    'mk',
    'mh',
    'ml',
    'mi',
    'mr',
    'ms',
    'mk',
    'mg',
    'mt',
    'mn',
    'mi',
    'ms',
    'my',
    'na',
    'nv',
    'nr',
    'nd',
    'ng',
    'ne',
    'nl',
    'nn',
    'nb',
    'no',
    'ny',
    'oc',
    'oj',
    'or',
    'om',
    'os',
    'pa',
    'fa',
    'pi',
    'pl',
    'pt',
    'ps',
    'qu',
    'rm',
    'ro',
    'ro',
    'rn',
    'ru',
    'sg',
    'sa',
    'si',
    'sk',
    'sk',
    'sl',
    'se',
    'sm',
    'sn',
    'sd',
    'so',
    'st',
    'es',
    'sq',
    'sc',
    'sr',
    'ss',
    'su',
    'sw',
    'sv',
    'ty',
    'ta',
    'tt',
    'te',
    'tg',
    'tl',
    'th',
    'bo',
    'ti',
    'to',
    'tn',
    'ts',
    'tk',
    'tr',
    'tw',
    'ug',
    'uk',
    'ur',
    'uz',
    've',
    'vi',
    'vo',
    'cy',
    'wa',
    'wo',
    'xh',
    'yi',
    'yo',
    'za',
    'zh',
    'zu',
]
"""
The ISO 639 alpha-2 code of a language, used in some info methods.
"""
